package fr.smallcrew.security.web;

import org.springframework.security.core.GrantedAuthority;

import javax.xml.bind.annotation.XmlRootElement;
import java.util.Collection;

@XmlRootElement
public class AuthenticatedUserPublic {
  private String name;
  private Collection<? extends GrantedAuthority> authorities;

  public AuthenticatedUserPublic(String name, Collection<? extends GrantedAuthority> authorities) {
    this.name = name;
    this.authorities = authorities;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Collection<? extends GrantedAuthority> getAuthorities() {
    return authorities;
  }

  public void setAuthorities(Collection<? extends GrantedAuthority> authorities) {
    this.authorities = authorities;
  }
}
