package fr.smallcrew.security.repository;

import fr.smallcrew.security.domain.DomainUser;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.CrudRepository;
import org.springframework.transaction.annotation.Transactional;

@Transactional(readOnly = true)
public interface DomainUserRepository extends CrudRepository<DomainUser, Integer>, JpaSpecificationExecutor<DomainUser> {
  DomainUser findByUsernameOrEmail(String username, String email);
  DomainUser findByUsernameAndPassword(String username, String password);
}
